DatabaseProject/Controllers/DistributorController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace DatabaseProject.Controllers
{
    public class DistributorController : Controller
    {
        private ScerpEntities db = new ScerpEntities();

        //
        // GET: /Distributor/

        public ActionResult Index()
        {
            var distributors = db.distributors.Include(d => d.person_info);
            return View(distributors.ToList());
        }

        //
        // GET: /Distributor/Details/5

        public ActionResult Details(int id = 0)
        {
            distributor distributor = db.distributors.Find(id);
            if (distributor == null)
            {
                return HttpNotFound();
            }
            return View(distributor);
        }

        //
        // GET: /Distributor/Create

        public ActionResult Create()
        {
            ViewBag.id_contact_person = new SelectList(db.person_info, "id_person", "name");
            return View();
        }

        //
        // POST: /Distributor/Create

        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create(distributor distributor,int temp)
        {
            if (temp == 1)
            {
                if (ModelState.IsValid)
                {
                    string samecontact = Request["optionsRadios"];
                    if (samecontact == "3")
                    {
                        string newcontactname = Request["newcontactname"];
                        string newcontactdescription = Request["newcontactdescription"];
                        string newcontactaddress = Request["newcontactaddress"];
                        string newcontactcontact = Request["newcontactcontact"];

                        var empQuery = from emp in db.person_info
                                       select emp;
                        List<DatabaseProject.person_info> empList = empQuery.ToList();


                        person_info person = new person_info();
                        person.id_person = empList.Count + 2;
                        person.name = newcontactname;
                        person.description = newcontactdescription;
                        person.address = newcontactaddress;
                        person.contact_number = newcontactcontact;
                        person.id_type = 2;

                        db.person_info.Add(person);
                        distributor.id_contact_person = person.id_person;
                    }
                    db.distributors.Add(distributor);
                    db.SaveChanges();
                    //return RedirectToAction("Index");
                    return Content("Record added.<script>var url = '/distributor/';window.location.href = url;</script>");
                }
            }
            else if (temp == 2)
            {
                try
                {
                    string samecontact = Request["optionsRadios"];
                    if (samecontact == "3")
                    {
                        string newcontactname = Request["newcontactname"];
                        string newcontactdescription = Request["newcontactdescription"];
                        string newcontactaddress = Request["newcontactaddress"];
                        string newcontactcontact = Request["newcontactcontact"];

                        var empQuery = from emp in db.person_info
                                       select emp;
                        List<DatabaseProject.person_info> empList = empQuery.ToList();


                        person_info person = new person_info();
                        person.id_person = empList.Count + 2;
                        person.name = newcontactname;
                        person.description = newcontactdescription;
                        person.address = newcontactaddress;
                        person.contact_number = newcontactcontact;
                        person.id_type = 2;

                        db.person_info.Add(person);
                        distributor.id_contact_person = person.id_person;
                    }
                    db.distributors.Add(distributor);
                    db.SaveChanges();
                    return Json(new { success = true });
                }
                catch (Exception e)
                {
                    return Json(new { success = false });
                }
            }

            ViewBag.id_contact_person = new SelectList(db.person_info, "id_person", "name", distributor.id_contact_person);
            return View(distributor);
        }

        //
        // GET: /Distributor/Edit/5

        public ActionResult Edit(int id = 0)
        {
            distributor distributor = db.distributors.Find(id);
            if (distributor == null)
            {
                return HttpNotFound();
            }
            ViewBag.id_contact_person = new SelectList(db.person_info, "id_person", "name", distributor.id_contact_person);
            return View(distributor);
        }

        //
        // POST: /Distributor/Edit/5

        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit(distributor distributor)
        {
            if (ModelState.IsValid)
            {
                db.Entry(distributor).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            ViewBag.id_contact_person = new SelectList(db.person_info, "id_person", "name", distributor.id_contact_person);
            return View(distributor);
        }

        //
        // GET: /Distributor/Delete/5

        public ActionResult Delete(int id = 0)
        {
            distributor distributor = db.distributors.Find(id);
            //if (distributor == null)
            //{
            //    return HttpNotFound();
            //}
            ViewBag.Deletethis = distributor.name;
            return PartialView("_ConfirmWareHouseDelete");
        }

        //
        // POST: /Distributor/Delete/5

        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            try
            {
                distributor distributor = db.distributors.Find(id);
                db.distributors.Remove(distributor);
                db.SaveChanges();
                return Json(new { success = true });
            }
            catch (Exception e)
            {
                return Json(new { success = false });
            }
        }

        protected override void Dispose(bool disposing)
        {
            db.Dispose();
            base.Dispose(disposing);
        }
    }
}

DatabaseProject/Controllers/StocksController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace DatabaseProject.Controllers
{
    public class StocksController : Controller
    {
        private ScerpEntities db = new ScerpEntities();

        //
        // GET: /Stocks/

        public ActionResult Index()
        {
            var stocks = db.stocks.Include(s => s.product).Include(s => s.warehouse);
            return View(stocks.ToList());
        }

        //
        // GET: /Stocks/Details/5

        public ActionResult Details(int id = 0)
        {
            stock stock = db.stocks.Find(id);
            if (stock == null)
            {
                return HttpNotFound();
            }
            return View(stock);
        }

        //
        // GET: /Stocks/Create

        public ActionResult Create()
        {
            ViewBag.id_products = new SelectList(db.products, "id_products", "product_id");
            ViewBag.id_warehouses = new SelectList(db.warehouses, "id_warehouses", "name");
            return View();
        }

        //
        // POST: /Stocks/Create

        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create(stock stock)
        {
            if (ModelState.IsValid)
            {
                db.stocks.Add(stock);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            ViewBag.id_products = new SelectList(db.products, "id_products", "product_id", stock.id_products);
            ViewBag.id_warehouses = new SelectList(db.warehouses, "id_warehouses", "name", stock.id_warehouses);
            return View(stock);
        }

        //
        // GET: /Stocks/Edit/5

        public ActionResult Edit(int id = 0)
        {
            stock stock = db.stocks.Find(id);
            if (stock == null)
            {
                return HttpNotFound();
            }
            ViewBag.id_products = new SelectList(db.products, "id_products", "product_id", stock.id_products);
            ViewBag.id_warehouses = new SelectList(db.warehouses, "id_warehouses", "name", stock.id_warehouses);
            return View(stock);
        }

        //
        // POST: /Stocks/Edit/5

        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit(stock stock)
        {
            if (ModelState.IsValid)
            {
                db.Entry(stock).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            ViewBag.id_products = new SelectList(db.products, "id_products", "product_id", stock.id_products);
            ViewBag.id_warehouses = new SelectList(db.warehouses, "id_warehouses", "name", stock.id_warehouses);
            return View(stock);
        }

        //
        // GET: /Stocks/Delete/5

        public ActionResult Delete(int id = 0)
        {
            stock stock = db.stocks.Find(id);
            //if (stock == null)
            //{
            //    return HttpNotFound();
            //}
            //return View(stock);
            ViewBag.Deletethis = stock.name;
            return PartialView("_ConfirmStockDelete");
        }

        //
        // POST: /Stocks/Delete/5

        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            try
            {
                stock stock = db.stocks.Find(id);
                db.stocks.Remove(stock);
                db.SaveChanges();
                return Json(new { success = true });
            }
            catch (Exception e)
            {
                return Json(new { success = false });
            }
        }

        public ActionResult CreateWarehouse()
        {
            //return View("~/Views/Product/Create.cshtml");
            return PartialView("_CreateWarehouse");
        }

        public ActionResult CreateProduct()
        {
            //return View("~/Views/Product/Create.cshtml");
            return PartialView("_Createproduct");
        }

        public ActionResult CreatePerson()
        {
            //return View("~/Views/Product/Create.cshtml");
            return PartialView("_CreatePerson");
        }

        protected override void Dispose(bool disposing)
        {
            db.Dispose();
            base.Dispose(disposing);
        }
    }
}

DatabaseProject/Views/Distributor/Create.cshtml
@model DatabaseProject.distributor

@{
    ViewBag.Title = "Create";
    DatabaseProject.ScerpEntities db = new DatabaseProject.ScerpEntities();
    var empQuery2 = from emp in db.person_info
                    select emp;
    List<DatabaseProject.person_info> empList2 = empQuery2.ToList();
}

<div id="page-wrapper" style="min-height: 593px;">
    <div class="row">
        <div class="col-lg-12">
            <h1 class="page-header">Dashboard</h1>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            @using (Ajax.BeginForm("Create", "Distributor", new { temp = 1 }, new AjaxOptions { UpdateTargetId = "divInterestDeatils" }))
            {
                @Html.AntiForgeryToken()
                @Html.ValidationSummary(true)
                <fieldset>

                    <div class="col-lg-2 control-label">
                        <label for="name">Name</label>
                    </div>
                    <div class="col-lg-10">
                        <input class="form-control" id="name" name="name" type="text" value="">
                        <span class="field-validation-valid" data-valmsg-for="name" data-valmsg-replace="true"></span>
                        <br />
                    </div>

                    <div class="col-lg-2 control-label">
                        <label for="description">Description</label>
                    </div>
                    <div class="col-lg-10">
                        <input class="form-control" id="description" name="description" type="text" value="">
                        <span class="field-validation-valid" data-valmsg-for="description" data-valmsg-replace="true"></span>
                        <br />
                    </div>

                    <div class="col-lg-2 control-label">
                        <label for="id_contact_person">Contact Person</label>
                    </div>
                    <div class="col-lg-10">
                        <select id="id_contact_person" name="id_contact_person" class="form-control">
                            <option value=""></option>
                            @{
                foreach (DatabaseProject.person_info temp in empList2)
                {
                        <option value="@temp.id_person">@temp.name</option>
                }
                            }
                        </select>
                        <span class="field-validation-valid" data-valmsg-for="id_contact_person" data-valmsg-replace="true"></span>
                        <br />
                        <div class="radio">
                            <label>
                                <input type="radio" name="optionsRadios" id="chkdwn3" value="1" checked="">
                                Choose from list
                            </label>
                        </div>

                        <div class="radio">
                            <label>
                                <input type="radio" name="optionsRadios" id="chkdwn5" value="false">
                                Create New
                            </label>
                        </div>
                        <div id="CreateNewLocationDiv3">
                            <div class="col-md-3 column">
                                <input class="form-control" type="text" value="" placeholder="Name" name="newcontactname">
                            </div>
                            <div class="col-md-3 column">
                                <input class="form-control" type="text" value="" placeholder="Description" name="newcontactdescription">
                            </div>
                            <div class="col-md-3 column">
                                <input class="form-control" type="text" value="" placeholder="Address" name="newcontactaddress">
                            </div>
                            <div class="col-md-3 column">
                                <input class="form-control" type="text" value="" placeholder="Contact Number" name="newcontactcontact">
                                <br />
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-10 col-lg-offset-2">
                        <h4><div class="text-success" id="divInterestDeatils"></div></h4>
                        <br>
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </div>
                </fieldset>
            }

            <div>
                @Html.ActionLink("Back to List", "Index")
            </div>
        </div>
    </div>
</div>



@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}

DatabaseProject/Views/Distributor/Delete.cshtml
@model DatabaseProject.distributor

@{
    ViewBag.Title = "Delete";
}

<h2>Delete</h2>

<h3>Are you sure you want to delete this?</h3>
<fieldset>
    <legend>distributor</legend>

    <div class="display-label">
         @Html.DisplayNameFor(model => model.id_distributors)
    </div>
    <div class="display-field">
        @Html.DisplayFor(model => model.id_distributors)
    </div>

    <div class="display-label">
         @Html.DisplayNameFor(model => model.name)
    </div>
    <div class="display-field">
        @Html.DisplayFor(model => model.name)
    </div>

    <div class="display-label">
         @Html.DisplayNameFor(model => model.description)
    </div>
    <div class="display-field">
        @Html.DisplayFor(model => model.description)
    </div>

    <div class="display-label">
         @Html.DisplayNameFor(model => model.person_info.name)
    </div>
    <div class="display-field">
        @Html.DisplayFor(model => model.person_info.name)
    </div>
</fieldset>
@using (Html.BeginForm()) {
    @Html.AntiForgeryToken()
    <p>
        <input type="submit" value="Delete" /> |
        @Html.ActionLink("Back to List", "Index")
    </p>
}

DatabaseProject/Views/Distributor/Details.cshtml
@model DatabaseProject.distributor

@{
    ViewBag.Title = "Details";
}

<div id="page-wrapper" style="min-height: 593px;">
    <div class="row">
        <div class="col-lg-12">
            <h1 class="page-header">Dashboard</h1>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    Distributor Details
                </div>
                <div class="panel-body">
                    <fieldset>

                        <p><h3>Distributor Name</h3> @Html.DisplayFor(model => model.name)</p>
                        <p><h3>Description</h3> @Html.DisplayFor(model => model.description)</p>
                        <p><h3>Contact Person</h3> @Html.DisplayFor(model => model.person_info.name)</p>
                    </fieldset>

                </div>
                <div class="panel-footer">
                    <p>
                        @Html.ActionLink("Edit", "Edit", new { id = Model.id_distributors }) | @Html.ActionLink("Back to List", "Index")
                    </p>
                </div>
            </div>
        </div>
    </div>
</div>

DatabaseProject/Views/Distributor/Edit.cshtml
@model DatabaseProject.distributor

@{
    ViewBag.Title = "Edit";
    DatabaseProject.ScerpEntities db = new DatabaseProject.ScerpEntities();
    var empQuery2 = from emp in db.person_info
                    select emp;
    List<DatabaseProject.person_info> empList2 = empQuery2.ToList();
}

<div id="page-wrapper" style="min-height: 593px;">
    <div class="row">
        <div class="col-lg-12">
            <h1 class="page-header">Dashboard</h1>
        </div>
    </div>

    <div class="row">
        <div class="col-lg-12">
            @using (Html.BeginForm())
            {
                @Html.AntiForgeryToken()
                @Html.ValidationSummary(true)

                <fieldset>
                    @Html.HiddenFor(model => model.id_distributors)
                    <div class="col-lg-2 control-label">
                        <label for="name">Name</label>
                    </div>
                    <div class="col-lg-10">
                        <input class="form-control" id="name" name="name" type="text" value="4567">
                        <span class="field-validation-valid" data-valmsg-for="name" data-valmsg-replace="true"></span>
                        <br />
                    </div>

                    <div class="col-lg-2 control-label">
                        <label for="description">Description</label>
                    </div>
                    <div class="col-lg-10">
                        <input class="form-control" id="description" name="description" type="text" value="4567">
                        <span class="field-validation-valid" data-valmsg-for="description" data-valmsg-replace="true"></span>
                        <br />
                    </div>

                    <div class="col-lg-2 control-label">
                        <label for="id_contact_person">Contact Person</label>
                    </div>
                    <div class="col-lg-10">
                        <select id="id_contact_person" name="id_contact_person" class="form-control">
                            @{
                foreach (DatabaseProject.person_info temp in empList2)
                {
                    if (temp.id_person == Model.id_contact_person && temp.name == Model.person_info.name)
                    {
                        <option selected="selected" value="@temp.id_person">@temp.name</option>
                    }
                    else
                    {
                        <option value="@temp.id_person">@temp.name</option>
                    }

                }
                            }
                        </select>
                        <span class="field-validation-valid" data-valmsg-for="id_contact_person" data-valmsg-replace="true"></span>
                        <br />
                    </div>

                    <div class="col-lg-10 col-lg-offset-2">
                        <br>
                        <button class="btn btn-default">Cancel</button>
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </div>
                </fieldset>
            }

            <div>
                @Html.ActionLink("Back to List", "Index")
            </div>
        </div>
    </div>
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}

DatabaseProject/Views/Distributor/Index.cshtml
@model IEnumerable<DatabaseProject.distributor>

@{
    ViewBag.Title = "Index";
}

<div id="page-wrapper" style="min-height: 593px;">
    <div class="row">
        <div class="col-lg-12">
            <h1 class="page-header">Distributors</h1>
        </div>
    </div>

    <div class="row">
        <div class="col-lg-3 col-md-6">
            <div class="panel panel-primary">
                <div class="panel-heading">
                    <div class="row">
                        <div class="col-xs-3">
                            <i class="fa fa-share-alt fa-5x"></i>
                        </div>
                        <div class="col-xs-9 text-right">
                            <div class="huge">26</div>
                            <div>Products</div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-3 col-md-6">
            <div class="panel panel-green">
                <a href="@Url.Action("Create")">
                    <div class="panel-heading">
                        <div class="row">
                            <div class="col-xs-3">
                                <i class="fa fa-plus-square fa-5x"></i>
                            </div>
                            <div class="col-xs-9 text-right">
                                <div class="huge"></div>
                                <div>Create New</div>
                            </div>
                        </div>
                    </div>
                </a>
            </div>
        </div>
        <div class="col-lg-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    All Products
                </div>
                <!-- /.panel-heading -->
                <div class="panel-body">
                    <div class="table-responsive">
                        <div id="dataTables-example_wrapper" class="dataTables_wrapper form-inline" role="grid">
                            <table class="table table-striped table-bordered table-hover dataTable no-footer" id="dataTables-example" aria-describedby="dataTables-example_info">
                                <thead>
                                    <tr role="row">
                                        <th class="sorting" tabindex="0" aria-controls="dataTables-example" rowspan="1" colspan="1" aria-label="Rendering engine: activate to sort column ascending" style="width: 130px;">Name</th>
                                        <th class="sorting" tabindex="0" aria-controls="dataTables-example" rowspan="1" colspan="1" aria-label="Rendering engine: activate to sort column ascending" style="width: 179px;">Description</th>
                                        <th class="sorting" tabindex="0" aria-controls="dataTables-example" rowspan="1" colspan="1" aria-label="Browser: activate to sort column ascending" style="width: 220px;">Contact Person</th>
                                        <th class="sorting_asc" tabindex="0" aria-controls="dataTables-example" rowspan="1" colspan="1" aria-label="CSS grade: activate to sort column ascending" style="width: 180px;" aria-sort="ascending"></th>

                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach (var item in Model)
                                    {
                                        <tr class="gradeA even">
                                            <td>
                                                @Html.DisplayFor(modelItem => item.name)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.description)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.person_info.name)
                                            </td>
                                            <td>
                                                @Html.ActionLink("Edit", "Edit", new { id = @item.id_distributors }) |
                                                @Html.ActionLink("Details", "Details", new { id = @item.id_distributors }) |
                                                @Html.ActionLink("Delete", "Delete", null, new { id = @item.id_distributors }, new { id = "btnCreate" })
                                                @*@Html.ActionLink("CreateProductModal", "CreateProductModal", "Stocks", new { id = "btnCreate" });*@
                                            </td>
                                        </tr>
                                    }
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <!-- /.table-responsive -->
                </div>
                <!-- /.panel-body -->
            </div>
        </div>
    </div>
</div>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table>
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.id_distributors)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.name)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.description)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.person_info.name)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.id_distributors)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.name)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.description)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.person_info.name)
        </td>
        <td>
            @Html.ActionLink("Edit", "Edit", new { /* id=item.PrimaryKey */ }) |
            @Html.ActionLink("Details", "Details", new { /* id=item.PrimaryKey */ }) |
            @Html.ActionLink("Delete", "Delete", new { /* id=item.PrimaryKey */ })
        </td>
    </tr>
}

</table>